# Discord Regex Monitor

Config should be renamed from `config.toml.example` to `config.toml`

### Notice
This setting should be enabled for the bot in the discord developer panel for it to function.
![](https://hedgedoc.directme.in/uploads/25ae754f-3624-4293-a517-ca589d85707f.png)

### Example Config
```toml
[DISCORD]
  BOT_TOKEN = ""

[[SERVERS]]
  SERVER_ID = "1050204101826334999"
  OUTPUT_CHANNEL_ID = "1250585834726621999"
  PREFIX_ENABLED = true
  SERVER_ID_ENABLED = false
  CHANNEL_ID_ENABLED = true
  MESSAGE_LINK_ENABLED = false
  [SERVERS.COIN_REGEXES]
    Bitcoin = "[13][a-km-zA-HJ-NP-Z1-9]{25,34}"
    Ethereum = "0x[a-fA-F0-9]{40}"
  [SERVERS.CHANNEL_BLACKLIST]
    CHANNELS = ["1250537334550827078"]

[[SERVERS]]
  SERVER_ID = "1250885747062345999"
  OUTPUT_CHANNEL_ID = "1250585834726621999"
  PREFIX_ENABLED = false 
  SERVER_ID_ENABLED = false
  CHANNEL_ID_ENABLED = true
  MESSAGE_LINK_ENABLED = false
  [SERVERS.COIN_REGEXES]
    Ethereum = "0x[a-fA-F0-9]{40}"
    Solana = "[1-9A-HJ-NP-Za-km-z]{32,44}"
  [SERVERS.CHANNEL_BLACKLIST]
    CHANNELS = []
```

### Explaination

```toml
[DISCORD]
  BOT_TOKEN = ""

[[SERVERS]]
  # ID of the server in which all the channels should be monitored
  SERVER_ID = "1050204101826334999"
  # Channel where everything should be send to
  OUTPUT_CHANNEL_ID = "1250585834726621999"
  # Wether to show the coin prefix or not
  PREFIX_ENABLED = true
  # Display name of server a message has been send in
  SERVER_ID_ENABLED = false
  # Display clickable channel object of server a message has been send in
  CHANNEL_ID_ENABLED = true
  # Provides a link to the message where the regex has been matched
  MESSAGE_LINK_ENABLED = false
  [SERVERS.COIN_REGEXES]
    # Prefix = Regex pair of the coin(s) to be matched; can theoretically be used for other stuff
    Bitcoin = "[13][a-km-zA-HJ-NP-Z1-9]{25,34}"
    Ethereum = "0x[a-fA-F0-9]{40}"
  [SERVERS.CHANNEL_BLACKLIST]
    # IDs of the channels that should NOT be monitored
    CHANNELS = ["1250537334550827078"]
```